Bug Hunting Session
Bug 85113 - EDITING: copying or cutting previously animated table leads to crash
Summary: EDITING: copying or cutting previously animated table leads to crash
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.3.3.2 release
Hardware: All Linux (All)
: highest major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected
Depends on:
Blocks: mab4.3
  Show dependency treegraph
 
Reported: 2014-10-16 21:05 UTC by public
Modified: 2015-12-15 11:03 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
sample document (20.15 KB, application/vnd.oasis.opendocument.presentation)
2014-10-16 21:05 UTC, public
Details
java crash log (156.61 KB, text/plain)
2015-09-14 15:40 UTC, NuageBleu
Details

Note You need to log in before you can comment on or make changes to this bug.
Description public 2014-10-16 21:05:51 UTC
Created attachment 107960 [details]
sample document

Problem description: 
Impress crashes when I try to cut or copy a table that has been animated previously. I removed the animation later. In the "slides" sidebar, the slide has still an "animation" icon, as if it would contain animated elements. However, nothing on the slide is animated.

Steps to reproduce:
1. Open the attached file
2. select the only table 
3. press Ctrl+C

Current behavior:
crash
Comment 1 Kevin Suo 2014-10-17 09:07:36 UTC
No crash Win7 X86,
Version 4.3.3.1
Build ID: 7d55112667c8fcddb67bc3803796b46c93aa56b0
Comment 2 Joel Madero 2014-10-23 01:24:24 UTC
Confirmed:
Ubuntu 14.04 x64 + Cinnamon
LibreOffice 

New (confirmed)
Major (crasher)
Highest - regression crasher (MAB)

regression (confirmed with bibisect)

bibisected:

642edb6eec6b6ba276c33b60cb38d56411e70f4a is the first bad commit
commit 642edb6eec6b6ba276c33b60cb38d56411e70f4a
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Tue May 20 14:45:24 2014 +0000

    source-hash-2bac61013e57013bccac8c9d76482b34b5db7f69
    
    commit 2bac61013e57013bccac8c9d76482b34b5db7f69
    Author:     Thomas Arnhold <thomas@arnhold.org>
    AuthorDate: Sat May 10 18:19:39 2014 +0200
    Commit:     Thomas Arnhold <thomas@arnhold.org>
    CommitDate: Sun May 11 01:55:39 2014 +0200
    
        fix-includes.pl: sc
    
        Change-Id: Iade3fedac5d2f8e978b7dd9c30f001d7d1564946

:100644 100644 8f7b406390da8ecd41a0a0703ccb3c596d0270ad 7676516ae2308ce13b4a9a89ad5bd4de2cefa380 M	ccache.log
:100644 100644 100b1b3f429b84659c9ea89781c7af862b5717ac c796aef63228c8907475fa817076f337fee7dc5a M	commitmsg
:100644 100644 3feb51566ae73b1658d73efe9aa7c8d7fac0e397 ade30f1e4fe61fed4f3695ed7e0e630aa6b58826 M	make.log
:040000 040000 0f190a6bc7977d598e6b83e40329fd725757c977 9595318cb9a2736916f60d50dfdf3bcefce1781a M	opt


# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# good: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect good e02439a3d6297a1f5334fa558ddec5ef4212c574
# good: [4850941efe43ae800be5c76e1102ab80ac2c085d] source-hash-980a6e552502f02f12c15bfb1c9f8e6269499f4b
git bisect good 4850941efe43ae800be5c76e1102ab80ac2c085d
# good: [a900e72b6357882284c5955bdf939bf14269f5fb] source-hash-dd1050b182260a26a1d0ba6d0ef3a6fecc3f4e07
git bisect good a900e72b6357882284c5955bdf939bf14269f5fb
# skip: [e80660c5a1d812cd04586dae1f22767fc3778c4a] source-hash-07c60c8ee2d1465544a6a39e57bc06b3690b8dfb
git bisect skip e80660c5a1d812cd04586dae1f22767fc3778c4a
# good: [df9bcaed2faa2a8d11b19f877cdff3a12a887278] source-hash-6ba9692d8bbe3e3c245aca9a7c928e81178d05f1
git bisect good df9bcaed2faa2a8d11b19f877cdff3a12a887278
# good: [741197a13a361480f59eeb3bd1401f984f49f1c0] source-hash-9a61470eb1fa161cba70f2e9c4ea8817dc7f617e
git bisect good 741197a13a361480f59eeb3bd1401f984f49f1c0
# bad: [882db5e268e28962bdf805c820a5e031b0df9936] source-hash-383dccc094f8c8c07b4298ce0b7406d18cd61cee
git bisect bad 882db5e268e28962bdf805c820a5e031b0df9936
# good: [17f897f0e3734070f0e5c6abd39f2f907f42ac86] source-hash-4041263bde64dcc9a9a225d7f5a171f3b0455724
git bisect good 17f897f0e3734070f0e5c6abd39f2f907f42ac86
# good: [5c9e81ec77cd98f952434decf83ec9820d736e56] source-hash-94e3f3e5015e53b5f3c8e5775b668e0bc12ab457
git bisect good 5c9e81ec77cd98f952434decf83ec9820d736e56
# bad: [642edb6eec6b6ba276c33b60cb38d56411e70f4a] source-hash-2bac61013e57013bccac8c9d76482b34b5db7f69
git bisect bad 642edb6eec6b6ba276c33b60cb38d56411e70f4a
# first bad commit: [642edb6eec6b6ba276c33b60cb38d56411e70f4a] source-hash-2bac61013e57013bccac8c9d76482b34b5db7f69
Comment 3 Joel Madero 2014-10-23 01:27:28 UTC
It's fixed in master - please test against 4.3 daily if you could - if it's fixed in daily, set to RESOLVED -> WORKSFORME. Thanks

http://dev-builds.libreoffice.org/daily/libreoffice-4-3/
Comment 4 public 2014-11-02 20:53:43 UTC
I'm sorry, I can't afford the time to test this at the moment.
Comment 6 NuageBleu 2015-09-14 15:36:06 UTC
Hi,

This bugs is happening to me with the regular version on Debian stable.
It is extremely annoying, I can't have my job done at work.
Reproducible: 100%.

Libre Office version:
    Version: 4.3.3.2
    Build ID: 430m0(Build:2)

How to reproduce: (100%)
1) Start Libre Office
2) Create a new impress document : Click on "Impress Presentation" 
3) Create a new table : Insert -> Table -> OK
4) Copy the slide : Click on the slide on the top left, copy it and paste it.
5) Select the new side (p2)
6) Select the table in the new slide : click inside the new table it and press esc
7) Cut it (ctrl-x)
CRASH
Comment 7 NuageBleu 2015-09-14 15:40:14 UTC
Created attachment 118708 [details]
java crash log
Comment 8 V Stuart Foote 2015-09-14 15:43:31 UTC
This was resolved fixed in the 4.3 builds. 4.3.3.2 predates the fix. Please 
upgrade to at least 4.3.7.2, or better work with a current 4.4.x or 5.0.x release.

http://downloadarchive.documentfoundation.org/libreoffice/old/

Back to Resolved Fixed.
Comment 9 Robinson Tryon (qubit) 2015-12-15 11:03:45 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]